### Enumeration

# Gdk.AnchorHints

#### Declaration

    flags Gdk.AnchorHints

#### Description [src]

Positioning hints for aligning a surface relative to a rectangle.

These hints determine how the surface should be positioned in the case that the surface would fall off-screen if placed in its ideal position.

For example, `GDK_ANCHOR_FLIP_X` will replace `GDK_GRAVITY_NORTH_WEST` with `GDK_GRAVITY_NORTH_EAST` and vice versa if the surface extends beyond the left or right edges of the monitor.

If `GDK_ANCHOR_SLIDE_X` is set, the surface can be shifted horizontally to fit on-screen. If `GDK_ANCHOR_RESIZE_X` is set, the surface can be shrunken horizontally to fit.

In general, when multiple flags are set, flipping should take precedence over sliding, which should take precedence over resizing.

#### Members

Name | Description
--- | ---
`GDK_ANCHOR_FLIP_X` | allow flipping anchors horizontally
`GDK_ANCHOR_FLIP_Y` | allow flipping anchors vertically
`GDK_ANCHOR_SLIDE_X` | allow sliding surface horizontally
`GDK_ANCHOR_SLIDE_Y` | allow sliding surface vertically
`GDK_ANCHOR_RESIZE_X` | allow resizing surface horizontally
`GDK_ANCHOR_RESIZE_Y` | allow resizing surface vertically
`GDK_ANCHOR_FLIP` | allow flipping anchors on both axes
`GDK_ANCHOR_SLIDE` | allow sliding surface on both axes
`GDK_ANCHOR_RESIZE` | allow resizing surface on both axes